Package org.opengis.cite.ogcapifeatures10.conformance.core.collections

# Class FeatureCollections

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.core.collections.FeatureCollections

public class FeatureCollections extends CommonDataFixture
A.2.5. Feature Collections {root}/collections

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureCollections()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[][]`
  `collectionsUris(org.testng.ITestContext testContext)`
  collectionsUris.
  `void`
  `storeCollectionsInTestContext(org.testng.ITestContext testContext)`
  storeCollectionsInTestContext.
  `void`
  `storeCollectionsResponseInTestContext(org.testng.ITestContext testContext)`
  storeCollectionsResponseInTestContext.
  `void`
  `validateFeatureCollectionsMetadataOperation(TestPoint testPoint)`
  Abstract Test 9: /ats/core/fc-md-op Test Purpose: Validate that information about the Collections can be retrieved from the expected location.
  `void`
  `validateFeatureCollectionsMetadataOperationResponse_Content(TestPoint testPoint)`
  Abstract Test 10, Test Method 4
  `void`
  `validateFeatureCollectionsMetadataOperationResponse_CrsProperty(TestPoint testPoint)`
  Abstract Test 10, Test Method 3
  `void`
  `validateFeatureCollectionsMetadataOperationResponse_Items(TestPoint testPoint)`
  Abstract Test 10, Test Method 2
  `void`
  `validateFeatureCollectionsMetadataOperationResponse_Links(TestPoint testPoint)`
  Abstract Test 10, Test Method 1

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FeatureCollections

    public FeatureCollections()

- ## Method Details

  - ### collectionsUris

    @DataProvider(name="collectionsUris") public Object[][] collectionsUris(org.testng.ITestContext testContext)

    collectionsUris.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      an array of `Object` objects

  - ### storeCollectionsInTestContext

    @AfterClass public void storeCollectionsInTestContext(org.testng.ITestContext testContext)

    storeCollectionsInTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### storeCollectionsResponseInTestContext

    @AfterClass public void storeCollectionsResponseInTestContext(org.testng.ITestContext testContext)

    storeCollectionsResponseInTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### validateFeatureCollectionsMetadataOperation

    public void validateFeatureCollectionsMetadataOperation(TestPoint testPoint)

         Abstract Test 9: /ats/core/fc-md-op
         Test Purpose:  Validate that information about the Collections can be retrieved from the expected location.
         Requirement: /req/core/fc-md-op

         Test Method
          1. Issue an HTTP GET request to the URL {root}/collections
          2. Validate that a document was returned with a status code 200
          3. Validate the contents of the returned document using test /ats/core/fc-md-success.

    Parameters:
      `testPoint` - the test point to test, never `null`

  - ### validateFeatureCollectionsMetadataOperationResponse_Links

    public void validateFeatureCollectionsMetadataOperationResponse_Links(TestPoint testPoint)
    Abstract Test 10, Test Method 1

         Abstract Test 10: /ats/core/fc-md-success
         Test Purpose: Validate that the Collections content complies with the required structure and contents.
         Requirement: /req/core/fc-md-success, /req/core/crs84

         Test Method
          1. Validate that all response documents comply with /ats/core/fc-md-links

    Parameters:
      `testPoint` - the test point to test, never `null`

  - ### validateFeatureCollectionsMetadataOperationResponse_Items

    public void validateFeatureCollectionsMetadataOperationResponse_Items(TestPoint testPoint)
    Abstract Test 10, Test Method 2

         Abstract Test 10: /ats/core/fc-md-success
         Test Purpose: Validate that the Collections content complies with the required structure and contents.
         Requirement: /req/core/fc-md-success, /req/core/crs84

         Test Method
          2. Validate that all response documents comply with /ats/core/fc-md-items

    Parameters:
      `testPoint` - the test point to test, never `null`

  - ### validateFeatureCollectionsMetadataOperationResponse_CrsProperty

    public void validateFeatureCollectionsMetadataOperationResponse_CrsProperty(TestPoint testPoint)
    Abstract Test 10, Test Method 3

         Abstract Test 10: /ats/core/fc-md-success
         Test Purpose: Validate that the Collections content complies with the required structure and contents.
         Requirement: /req/core/fc-md-success, /req/core/crs84

         Test Method
          3. In case the response includes a "crs" property, validate that the first value is either "http://www.opengis.net/def/crs/OGC/1.3/CRS84" or "http://www.opengis.net/def/crs/OGC/0/CRS84h"

    Parameters:
      `testPoint` - the test point to test, never `null`

  - ### validateFeatureCollectionsMetadataOperationResponse_Content

    public void validateFeatureCollectionsMetadataOperationResponse_Content(TestPoint testPoint)
    Abstract Test 10, Test Method 4

         Abstract Test 10: /ats/core/fc-md-success
         Test Purpose: Validate that the Collections content complies with the required structure and contents.
         Requirement: /req/core/fc-md-success, /req/core/crs84

         Test Method
          4. Validate the collections content for all supported media types using the resources and tests identified in Schema and Tests for Collections content

    Parameters:
      `testPoint` - the test point to test, never `null`